# spacepy.empiricals.getMPstandoff

`spacepy.empiricals.``getMPstandoff`(ticks, dbase='QDhourly', alpha=[])

  Calculates the Shue et al. (1997) subsolar magnetopause radius

  Shue et al. (1997), A new functional form to study the solar wind control of the magnetopause size and shape, J. Geophys. Res., 102(A5), 9497–9511, doi:10.1029/97JA00196.

  Parameters
    ticks spacepy.time.Ticktock

      TickTock object of desired times (will be interpolated from hourly OMNI data) OR dictionary of form {‘P’: [], ‘Bz’: []} Where P is SW ram pressure [nPa] and Bz is IMF Bz (GSM) [nT]

    alpha list

      Used as an optional return value to obtain the flaring angles. To use, assign an empty list and pass to this function through the keyword argument. The list will be modified in place, adding the flaring angles for each time step.

  Returns
    out float

      Magnetopause (sub-solar point) standoff distance [Re]

  Examples

      >>> import spacepy.time as spt
      >>> import spacepy.empiricals as emp
      >>> ticks = spt.tickrange('2002-01-01T12:00:00','2002-01-04T00:00:00',.25)
      >>> emp.getMPstandoff(ticks)
      array([ 10.57319537,  10.91327764,  10.75086873,  10.77577207,
           9.78180261,  11.0374474 ,  11.4065    ,  11.27555451,
          11.47988573,  11.8202582 ,  11.23834814])
      >>> data = {'P': [2,4], 'Bz': [-2.4, -2.4]}
      >>> emp.getMPstandoff(data)
      array([ 9.96096838,  8.96790412])